/*
 * rolldice.h - v1.4 - 12 Feb 1999
 * (c) Stevie Strickland, 1999
 *
 * This program has been placed under the GPL.  Any bugfixes or enhancements
 * will be greatly appreciated :)
 *
 * Stevie Strickland - sstrickl@resnet.gatech.edu
 */

// Standard includes
#include <stdio.h>
#include <stdlib.h>

// For the time() function
#include <time.h>

// For the rand() and srand() functions
#include <math.h>

// For the strstr() function
#include <string.h>

// For the sleep() function
#include <unistd.h>

// For some bounds
#include <values.h>

/* The following #defines give the position of each important dice-related
 * number inside of the dice_nums array.  The final #define gives us the
 * size of the dice_nums array, which should be the number of other 
 * #defines below.
 */
#define NUM_ROLLS 0
#define NUM_DICE 1
#define NUM_SIDES 2
#define MULTIPLIER 3
#define MODIFIER 4
#define DICE_ARRAY_SIZE 5

/* The following #defines give the tokens for each part of the format
 * string.  Perhaps eventually I'll change parse_string to use strtok()
 * instead of strstr() :)
 */
#define ROLL_IDENT "x"
#define DICE_SIDES_IDENT "d"
#define MULTI_IDENT "*"
#define MODI_PLUS_IDENT "+"
#define MODI_MINUS_IDENT "-"

/* Gives us the amount of seconds to sleep.  The function rolldice() sleeps
 * so that we keep from getting the random numbers by running the program
 * twice within the same second (since srand() uses as its seed the time 
 * returned by time(), which is the number of seconds since 
 * 00:00:00 1 Jan 1970, as we all know ;)
 */
#define SLEEP_TIME 1

// Defines values for true and false, just for testing stuff boolean-wise :)
#define TRUE_VAL 1
#define FALSE_VAL 0

// External function declarations for using rolldice() and kin.
/*@null@*/ extern int *parse_string(char *dice_string);
/*@null@*/ extern int *rolldice(int *dice_nums);
extern void init_random();













